<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>cn.freemud</groupId>
        <artifactId>order-group</artifactId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>push-order-service</artifactId>
    <dependencies>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.16.14</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-eureka</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
            <version>1.1.10</version>
        </dependency>
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>
        <dependency>
            <groupId>tk.mybatis</groupId>
            <artifactId>mapper-spring-boot-starter</artifactId>
            <version>1.1.3</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-amqp</artifactId>
            <version>2.2.0-release</version>
        </dependency>
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-base</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>platform-sdk</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-logging</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-feign</artifactId>
        </dependency>
        <!--会员服务SDK-->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.3.1</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>membercenter-sdk</artifactId>
            <version>2.5.4-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.8.0</version>
        </dependency>

        <!-- RFC3339时间格式包 -->
        <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
            <version>2.9.9</version>
        </dependency>
        <!-- 券码SDK -->
        <dependency>
            <groupId>com.freemud.card.sdk</groupId>
            <artifactId>freemud-card-sdk</artifactId>
            <version>2.1.5-SNAPSHOT</version>
        </dependency>
        <!--   commons 依赖  -->
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-redis</artifactId>
        </dependency>
        <!--<dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>ordercenter-sdk</artifactId>
            <version>2.7.4.RELEASE</version>
        </dependency>-->
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>membercenter-sdk</artifactId>
            <version>2.5.4-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>ordercenter-sdk</artifactId>
            <version>2.3.3-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <artifactId>assortment-ordercenter-sdk</artifactId>
            <version>2.4.4-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>sdk-common-base</artifactId>
            <version>1.2.RELEASE</version>
        </dependency>
        <!--<dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>assortment-ordercenter-sdk</artifactId>
            <version>6.4.2.RELEASE</version>
            <exclusions>
                <exclusion>
                    <groupId>com.freemud.application.service.sdk</groupId>
                    <artifactId>sdk-common-base</artifactId>
                </exclusion>
            </exclusions>
        </dependency>-->
        <dependency>
            <groupId>com.ctrip.framework.apollo</groupId>
            <artifactId>apollo-client</artifactId>
            <version>1.4.0</version>
        </dependency>
        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>monitor-tools</artifactId>
            <version>1.0-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

    <distributionManagement>
        <repository>
            <id>freemud-hosted-release</id>
            <name>releases</name>
            <url>http://115.159.2.190:7654/nexus/content/repositories/freemud-hosted-release/</url>
        </repository>
        <snapshotRepository>
            <id>freemud-hosted-snapshot</id>
            <name>snapshot</name>
            <url>http://115.159.2.190:7654/nexus/content/repositories/freemud-hosted-snapshot/</url>
        </snapshotRepository>
    </distributionManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.mybatis.generator</groupId>
                <artifactId>mybatis-generator-maven-plugin</artifactId>
                <version>1.3.2</version>
                <configuration>
                    <!--配置文件的路径-->
                    <configurationFile>src/main/resources/generatorConfig.xml</configurationFile>
                    <overwrite>true</overwrite>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>mysql</groupId>
                        <artifactId>mysql-connector-java</artifactId>
                        <version>5.1.44</version>
                    </dependency>
                    <dependency>
                        <groupId>org.mybatis.generator</groupId>
                        <artifactId>mybatis-generator-core</artifactId>
                        <version>1.3.5</version>
                    </dependency>
                    <dependency>
                        <groupId>tk.mybatis</groupId>
                        <artifactId>mapper</artifactId>
                        <version>3.4.0</version>
                    </dependency>
                </dependencies>
            </plugin>
        </plugins>
    </build>

</project>